/*
 * XMLNewsHomeTag.java
 *
 * Created on March 18, 2002, 8:10 AM
 */

import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;

/**
 *
 * @author  andrewm
 */
public class XMLNewsHomeTag extends BodyTagSupport
{
    private String topicParameter;
    private String baseUrl;
    
    public String getTopicParameter()
    {
	return topicParameter;
    }
    
    public String getBaseUrl()
    {
	return baseUrl;
    }
    
    public void setTopicParameter( String _topicParameter )
    {
	topicParameter = _topicParameter;
    }
    
    public void setBaseUrl( String _baseUrl )
    {
	baseUrl = _baseUrl;
    }
    
    public int doStartTag() throws JspException
    {
	try
	{
	    JspWriter out = pageContext.getOut();
	    
	    out.println( "<card id=\"home_page\" title=\"Country News\">" );
	    out.println( "<p>Country News:" );
	    out.println( "   <select name=\"country\" iname=\"countryindex\" ivalue=\"1\" multiple=\"false\">" );
	    out.println( "      <option value=\"China\">China</option>" );
	    out.println( "      <option value=\"India\">India</option>" );
	    out.println( "      <option value=\"Pakistan\">Pakistan</option>" );
	    out.println( "      <option value=\"Taiwan\">Taiwan</option>" );
	    out.println( "      <option value=\"Banana\">Banana</option>" );
	    out.println( "   </select>" );
	    out.println( "   <do type=\"accept\" label=\"Get News\">" );
	    out.println( "      <go href=\"" + baseUrl + "?" + topicParameter + "=$country\"/>" );
	    out.println( "   </do>" );
	    out.println( "</p>" );
	    out.println( "</card>" );
	}
	catch( Throwable t )
	{
	    t.printStackTrace();
	}
	finally
	{
	    return SKIP_BODY;
	}
    }
    
    public int doEndTag()
    {
	return EVAL_PAGE;
    }
}
